# only python stuff
%define debug_package %{nil}

Name:           libopensync-plugin-moto
Version:        0.35
Release:        4%{?dist}
Summary:        Plugin for syncing with Motorola phones via libopensync

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.35
BuildRequires:  python-devel

Requires: libopensync-plugin-python >= 0.35
Requires: python-dateutil
Requires: pybluez


%description
Plugin for syncing with Motorola phones via libopensync.

%prep
%setup -q


%build
mkdir build
cd build
%cmake -DCMAKE_SKIP_RPATH=YES ../
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/opensync-1.0/python-plugins/motosync*
%{_datadir}/opensync-1.0/defaults/moto-sync

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-4
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-3
- use cmake macro

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-2
- BR libopensync-devel >= 0.35

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- initial version
